#include "pins.h"
#include "KlappenSteuerung.h"

KlappenSteuerung klappe1 (M1A , M1B , M1PWM , M1SENSE);
KlappenSteuerung klappe2 (M2A , M2B , M2PWM , M2SENSE);
KlappenSteuerung klappe3 (M3A , M3B , M3PWM , M3SENSE);
KlappenSteuerung klappe4 (M4A , M4B , M4PWM , M4SENSE);

void setup() {
  // put your setup code here, to run once:
  klappe1.setup();
  klappe2.setup();
  klappe3.setup();
  klappe4.setup();
}

void loop() {
  // put your main code here, to run repeatedly:
  klappe1.loop();
  klappe2.loop();
  klappe3.loop();
  klappe4.loop();
  Ablauf();
}

void Ablauf(){
  static unsigned long alteZeit;
  static unsigned int summeZeit;
  unsigned long neueZeit;
  unsigned int deltaZeit;
  

  neueZeit = millis();
  deltaZeit = (unsigned int) (neueZeit - alteZeit);
  alteZeit = neueZeit;
  summeZeit += deltaZeit;

  if(summeZeit >= 1000){ // eine Sekunde
    summeZeit -= 1000;
    AblaufSekunde();  
  }
}

void AblaufSekunde(){
  static unsigned int sekunden;
  sekunden ++;

  switch(sekunden){
    case 1:
      klappe1.setOpen(true);
      break;

    case 11:
    klappe1.setOpen(false);
      break;

    case19:
      sekunden = 0;
      break;
  }
}
